org.springframework.web.socket.config.annotation

## Class DelegatingWebSocketConfiguration

- java.lang.Object
- - org.springframework.web.socket.config.annotation.WebSocketConfigurationSupport
  - - org.springframework.web.socket.config.annotation.DelegatingWebSocketConfiguration

    @Configuration
    public class DelegatingWebSocketConfiguration
    extends WebSocketConfigurationSupport

A variation of `WebSocketConfigurationSupport` that detects implementations of `WebSocketConfigurer` in Spring configuration and invokes them in order to configure WebSocket request handling.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`DelegatingWebSocketConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `registerWebSocketHandlers(WebSocketHandlerRegistry registry)`
`void` `setConfigurers(List<WebSocketConfigurer> configurers)`

### Methods inherited from class org.springframework.web.socket.config.annotation.WebSocketConfigurationSupport

`defaultSockJsTaskScheduler, webSocketHandlerMapping`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelegatingWebSocketConfiguration

    public DelegatingWebSocketConfiguration()

### Method Detail

#### setConfigurers

    @Autowired(required=false)
    public void setConfigurers(List<WebSocketConfigurer> configurers)

#### registerWebSocketHandlers

    protected void registerWebSocketHandlers(WebSocketHandlerRegistry registry)

Overrides:
  `registerWebSocketHandlers` in class `WebSocketConfigurationSupport`